%global install_loc  %{_datadir}/eclipse/dropins/eclemma

Name:      eclipse-eclemma
Version:   2.3.2
Release:   1%{?dist}
Summary:   Java code coverage tool plugin for Eclipse
Group:     Development/Tools
License:   EPL and ASL 2.0
URL:       http://www.eclemma.org
Source0:   https://github.com/jacoco/eclemma/archive/v%{version}.tar.gz

Patch0:    eclipse-eclemma-build-luna.patch

BuildArch:        noarch
BuildRequires:    java-devel
BuildRequires:    javapackages-tools
BuildRequires:    eclipse-pde >= 1:4.2.0
BuildRequires:    jacoco >= 0.7.1
BuildRequires:    maven-local
BuildRequires:    tycho
BuildRequires:    tycho-extras
BuildRequires:    feclipse-maven-plugin
BuildRequires:    maven-plugin-build-helper
Requires:         eclipse-jdt >= 1:4.2.0
Requires:         jacoco >= 0.7.1
Requires:         objectweb-asm >= 5.0.1

%description
EclEmma is a Java code coverage tool for Eclipse based on the EMMA Java
code coverage tool.  Features include launching from within the IDE,
coverage analysis summaries, and highlighting in Java source code
editors.

%prep
%setup -q -n eclemma-%{version}
%patch0

#git does not handle empty folders - but this one is necessary
mkdir -p com.mountainminds.eclemma.asm/src
rm -fr com.mountainminds.eclemma.debug.ui.compatibility/src/org/eclipse/debug/ui/actions/RelaunchLastAction.java
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%pom_remove_plugin :jacoco-maven-plugin com.mountainminds.eclemma.build/pom.xml
%pom_remove_dep org.jacoco: com.mountainminds.eclemma.build/pom.xml

# Relax version requirement on jacoco
sed -i /jacoco/s/0.7.3/0.8.0/ `find -name *.MF`

%build
xmvn -o clean verify -Dimplicit-target -DskipTests

%install
install -d -m 755 %{buildroot}/%{install_loc}

mkdir temp
pushd temp
cat > pom.xml << EOF
<project>
  <modelVersion>4.0.0</modelVersion>
  <name>Maven Default Project</name>
  <groupId>org.fedoraproject</groupId>
  <artifactId>dummy</artifactId>
  <version>1.0.0</version>
</project>
EOF
popd
xmvn -o -f temp/pom.xml org.fedoraproject:feclipse-maven-plugin:install \
  -DsourceRepo=../com.mountainminds.eclemma.site/target/repository -DtargetLocation=%{buildroot}%{install_loc}/eclipse

pushd %{buildroot}/%{install_loc}/eclipse/plugins
  rm -fr org.jacoco*
  ln -s %{_javadir}/jacoco/org.jacoco.agent.jar 
  ln -s %{_javadir}/jacoco/org.jacoco.core.jar 
  ln -s %{_javadir}/jacoco/org.jacoco.report.jar
  ln -s %{_javadir}/objectweb-asm/asm-all.jar
popd

%files
%doc com.mountainminds.eclemma.doc/pages/faq.html
%doc com.mountainminds.eclemma.doc/pages/license.html
%doc com.mountainminds.eclemma.core/about.html
%{install_loc}

%changelog
* Wed Oct 1 2014 Alexander Kurtakov <akurtako@redhat.com> 2.3.2-1
- Update to upstream 2.3.2.

* Tue Jun 17 2014 Mat Booth <mat.booth@redhat.com> - 2.3.1-1
- Update to latest upstream release
- Patch to build against Luna
- Fix FTBFS rhbz #1106194

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Alexander Kurtakov <akurtako@redhat.com> 2.3.0-1
- Update to upstream 2.3.0.

* Fri Feb 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2.1-4
- Relax version requirement on jacoco

* Fri Feb 21 2014 Alexander Kurtakov <akurtako@redhat.com> 2.2.1-3
- Change dependencies to new names and drop deps implied by other dependencies.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Krzysztof Daniel <kdaniel@redhat.com> 2.2.1-2
- Add missing BR.

* Thu Jun 20 2013 Krzysztof Daniel <kdaniel@redhat.com> 2.2.1-1
- Update to 2.2.1.

* Thu May 9 2013 Krzysztof Daniel <kdaniel@redhat.com> 2.2.1-0.1.gitecdb1c
- Update to latest upstream.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Krzysztof Daniel <kdaniel@redhat.com> 2.2.0-1
- Update to upstream 2.2.0.

* Wed Dec 5 2012 Krzysztof Daniel <kdaniel@redhat.com> 2.1.4-3
- Update dependency to asm4.

* Mon Sep 17 2012 Krzysztof Daniel <kdaniel@redhat.com> 2.1.4-2
- Specify BR/R jacoco.

* Tue Sep 11 2012 Krzysztof Daniel <kdaniel@redhat.com> 2.1.4-1
- Update to upstream 2.1.4.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jul 07 2012 Alexander Kurtakov <akurtako@redhat.com> 2.1.2-1
- Update to 2.1.2 upstream release.

* Thu May 10 2012 Alexander Kurtakov <akurtako@redhat.com> 2.1.1-2
- Don't bundle jacoco and objectweb-asm.
- Drop all emma mentions.

* Mon May 7 2012 Krzysztof Daniel <kdaniel@redhat.com> 2.1.1-1
- Update to upstream 2.1.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed May 11 2011 Alexander Kurtakov <akurtako@redhat.com> 1.5.3-1
- Update to upstream 1.5.3.

* Wed Apr 27 2011 Alexander Kurtakov <akurtako@redhat.com> 1.5.2-1
- Update to upstream 1.5.2.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 9 2010 Alexander Kurtakov <akurtako@redhat.com> 1.5.1-1
- Update to 1.5.1.

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 1.5.0-2
- Push release so that tagging works

* Mon Jul 12 2010 Severin Gehwolf <sgehwolf@redhat.com> 1.5.0-1
- Update to upstream 1.5.0

* Thu Aug 20 2009 Alexander Kurtakov <akurtako@redhat.com> 1.4.2-1
- Update to upstream 1.4.2.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 15 2009 Alexander Kurtakov <akurtako@redhat.com> 1.4.1-1
- Update to new upstream version and updated patch1.

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 1.3.2-5
- Rebuild to not ship p2 context.xml.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 03 2008 Andrew Overholt <overholt@redhat.com> 1.3.2-3
- More updates for review (rhbz#444512).
- Add text of Apache license to cover annotations example.

* Wed Dec 03 2008 Andrew Overholt <overholt@redhat.com> 1.3.2-2
- Updates for review (rhbz#444512).

* Thu Oct 16 2008 Alexander Kurtakov <akurtako@redhat.com> 1.3.2-1
- Update to 1.3.2.
- Fix build for eclipse 3.4.

* Fri Apr 25 2008 Andrew Overholt <overholt@redhat.com> 1.3.1-1
- Initial package.
